com.sun.messaging

## Interface PropertyOwner

-     public interface PropertyOwner

  The `PropertyOwner` interface is implemented by any property that owns other properties. The property type of this property is `com.sun.messaging.PropertyOwner`.

  Setting a property Type to `com.sun.messaging.PropertyOwner` indicates that dependant property information can be obtained from the class via the interface methods described below.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPropertyDefault(String propname)` Returns the default value of a single owned property.
    `String` | `getPropertyLabel(String propname)` Returns the label of a single owned property.
    `String[]` | `getPropertyNames()` Returns a String array of property names that this `PropertyOwner` owns.
    `String` | `getPropertyType(String propname)` Returns the type of a single owned property.

- - ### Method Detail

    - #### getPropertyNames

          String[] getPropertyNames()

      Returns a String array of property names that this `PropertyOwner` owns.
      Returns:
        The String array of property names that this `PropertyOwner` owns.

    - #### getPropertyType

          String getPropertyType(String propname)

      Returns the type of a single owned property.
      Parameters:
        `propname` - The name of the owned property.
      Returns:
        The type of the owned property `propname`. `null` if the property `propname` is invalid.

    - #### getPropertyLabel

          String getPropertyLabel(String propname)

      Returns the label of a single owned property.
      Parameters:
        `propname` - The name of the owned property.
      Returns:
        The label of the owned property `propname`. `null` if the property `propname` is invalid.

    - #### getPropertyDefault

          String getPropertyDefault(String propname)

      Returns the default value of a single owned property.
      Parameters:
        `propname` - The name of the owned property.
      Returns:
        The default value of the owned property `propname`. `null` if the property `propname` is invalid.

Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.